body {
    font-family: "Nunito Sans", sans-serif;
    padding: 0 20px;
    .header-section {
        position: relative;
        margin: 20px 0;
        text-align: center;
        
        .header {
            text-align: center;
            font-size: 40px;
            font-weight: 900;
            margin: 0;
        }
        span.last-updated-timestamp {
            font-weight: 900;
            font-size: 16px;
        }
    }
    
    .green {
        background-color: #02B875;
        color: #ffffff;
    }
    .orange {
        background-color: #FF6600;
        color: #ffffff;
    }
    .yellow {
        background-color: #FFFC00;
        color: #721c24;
    }
    .frog-pond {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-bottom: 20px;

        span {
            font-size: 40px;
            margin: 0 10px;
        }

        .pond-img{
            width: 80px;
            height: auto;
        }

        .frog-img{
            width: 50px; 
            height: auto;
        }

        .left-margin {
            margin-left: 20px;
        }

        .right-margin {
            margin-right: 20px;
        }

    }
    .container {
        margin-bottom: 40px;

        .eta-item {
            display: flex;
            justify-content: space-between;
            padding: 20px;
            margin: 0 0 20px 0;
            box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.2);
            border-radius: 8px;
            font-size: 18px;

            .route {
                font-weight: 900;
            }
            .eta-time {
                font-weight: 600;
                margin-right: 12px;
                font-size: 16px;
            }
            .minutes-until {
                font-size: 20px;
                font-weight: 900;
            }
        }
    }
    .refresh {
        position: fixed;
        bottom: 40px;
        right: 40px;
        background-color: rgba(255, 255, 255, 0.61);
        border-radius: 50%;
        padding: 12px;
        box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.2);
        cursor: pointer;
        display: flex;
        align-items: center;
        justify-content: center;
        aspect-ratio: 1; /* forces square/circle */
        box-sizing: border-box;
        .material-symbols-outlined {
            font-size: 48px;
        }
    }
    
}
body {
    overscroll-behavior-y: auto;
}
.pull-to-refresh {
    position: fixed;
    top: -50px;
    left: 0;
    width: 100%;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: top 0.7s ease-in-out;
}
.pull-to-refresh.visible {
    top: 0;
}

